Callback function converts character encoding in output buffer

- « mb_ord

- mb_parse_str »

- PHP Manual
- Multibyte String Functions
- Callback function converts character encoding in output buffer

# mb_output_handler

(PHP 4 >= 4.0.6, PHP 5, PHP 7, PHP 8)

mb_output_handler — Callback function converts character encoding in output buffer

### Description

mb_output_handler(string `$string`, int `$status`): string

mb_output_handler() is ob_start() callback function. mb_output_handler() converts characters in the output buffer from internal character encoding to HTTP output character encoding.

### Parameters

`string`

  The contents of the output buffer.

`status`

  The status of the output buffer.

### Return Values

The converted string.

### Examples

Example #1 mb_output_handler() example

    <?php
    mb_http_output("UTF-8");
    ob_start("mb_output_handler");
    ?>

### Notes

> Note:

> If you want to output binary data, such as an image, a Content-Type: header must be set using header() before any binary data is sent to the client (e.g. header("Content-Type: image/png")). If Content-Type: header is sent, output character encoding conversion will not be performed.

> Note that if 'Content-Type: text/*' is sent, the content body is regarded as text; conversion will take place.

### See Also

- ob_start() - Turn on output buffering